OpenOffice 2.4

Questions about applications and software
Forum rules
Before you post please read this

OpenOffice 2.4

Postby lucknuts on Sun May 11, 2008 5:02 pm

I'm currently running Linux Mint Daryna.

I'm trying to install OpenOffice 2.4

I run ./setup

and I get the following output...

Code: Select all
root@LuckUnix:/home/lucknuts/OOH680_m12_native_packed-1_en-US.9286# ls
installdata  JavaSetup.jar  licenses  readmes  RPMS  setup  update
root@LuckUnix:/home/lucknuts/OOH680_m12_native_packed-1_en-US.9286# ./setup
Checksumming...
Extracting ...
93128 blocks
Done.
Using /var/tmp/install_16219/usr/java/jre1.6.0_04/bin/java
java version "1.6.0_04"
Java(TM) SE Runtime Environment (build 1.6.0_04-b12)
Java HotSpot(TM) Client VM (build 10.0-b19, mixed mode)

Running installer
/var/tmp/install_16219/usr/java/jre1.6.0_04/bin/java -DHOME=/root -DJRE_FILE=jre-6u4-linux-i586.rpm -jar JavaSetup.jar
System locale: en_US
Root privileges
OS: Linux
Mode: installation
Exception in thread "main" java.awt.HeadlessException:
No X11 DISPLAY variable was set, but this program performed an operation which requires it.
        at java.awt.GraphicsEnvironment.checkHeadless(Unknown Source)
        at java.awt.Window.<init>(Unknown Source)
        at java.awt.Frame.<init>(Unknown Source)
        at java.awt.Frame.<init>(Unknown Source)
        at javax.swing.SwingUtilities$SharedOwnerFrame.<init>(Unknown Source)
        at javax.swing.SwingUtilities.getSharedOwnerFrame(Unknown Source)
        at javax.swing.JDialog.<init>(Unknown Source)
        at javax.swing.JDialog.<init>(Unknown Source)
        at javax.swing.JDialog.<init>(Unknown Source)
        at org.openoffice.setup.SetupFrame.<init>(SetupFrame.java:117)
        at org.openoffice.setup.Main.main(Main.java:62)
root@LuckUnix:/home/lucknuts/OOH680_m12_native_packed-1_en-US.9286#


It seems as though it's a java string error, although I'm not sure what I may need, or may need to get rid of for this to work. Any help would be appreciated.

Thank you.
lucknuts
Level 1
Level 1
 
Posts: 1
Joined: Sun May 11, 2008 4:58 pm

Linux Mint is funded by ads and donations.
 

Re: OpenOffice 2.4

Postby Fred on Mon May 12, 2008 3:16 am

lucknuts,

Why are you trying to download and install 2.4 from the website? Is there a feature or function that you really need right away? 2.4 will be in the next version of Mint, which will probably be out in a few weeks. What's the hurry?

Anytime you use software that isn't in the repos you shouldn't be surprised if you have problems. The way programs get in the repos is by being vetted by knowledgeable people and being fixed if there is a show stopping bug or a compatibility issue.

I don't know what the issue is with your attempted install, but I am happy to wait until it is vetted into the repos and let somebody more knowledgeable than me fix it. :-)

Fred
Insanity: Doing the same thing over and over and each time expecting a different result.

Democracy is 2 wolves and a lamb voting on the menu. Liberty is an armed lamb protesting the electoral outcome. A Republic negates the need for an armed protest.
User avatar
Fred
Level 10
Level 10
 
Posts: 3356
Joined: Fri Jan 04, 2008 11:59 am
Location: NC USA


Return to Software & Applications

Who is online

Users browsing this forum: Dyfi, Yahoo [Bot] and 18 guests